Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface ExecuteQueueRuntimeMBean

public interface ExecuteQueueRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This bean is used to monitor an execute queue and its associated thread pool.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Method Summary
`int` | `getExecuteThreadCurrentIdleCount()` Returns the number of idle threads assigned to the queue.
`weblogic.management.runtime.ExecuteThread[]` | `getExecuteThreads()` Returns the execute threads currently assigned to the queue.
`int` | `getExecuteThreadTotalCount()` Returns the total number of execute threads assigned to the queue.
`int` | `getPendingRequestCurrentCount()` Returns the number of waiting requests in the queue.
`long` | `getPendingRequestOldestTime()` Returns the time that the longest waiting request was placed in the queue.
`int` | `getServicedRequestTotalCount()` Returns the number of requests which have been processed by this queue.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getExecuteThreads

    public weblogic.management.runtime.ExecuteThread[] getExecuteThreads()

  Returns the execute threads currently assigned to the queue.

  Returns:
    The executeThreads value

### getExecuteThreadTotalCount

    public int getExecuteThreadTotalCount()

  Returns the total number of execute threads assigned to the queue.

  Returns:
    Number of execute threads in this queue.

### getExecuteThreadCurrentIdleCount

    public int getExecuteThreadCurrentIdleCount()

  Returns the number of idle threads assigned to the queue.

  Returns:
    The executeThreadCurrentIdleCount value

### getPendingRequestOldestTime

    public long getPendingRequestOldestTime()

  Returns the time that the longest waiting request was placed in the queue.

  Returns:
    The pendingRequestOldestTime value

### getPendingRequestCurrentCount

    public int getPendingRequestCurrentCount()

  Returns the number of waiting requests in the queue.

  Returns:
    The pendingRequestCurrentCount value

### getServicedRequestTotalCount

    public int getServicedRequestTotalCount()

  Returns the number of requests which have been processed by this queue.

  Returns:
    The servicedRequestTotalCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD